package com.hfkj.service.discount;

import com.hfkj.entity.BsDiscountStockBatch;

import java.util.List;
import java.util.Map;

/**
 * @className: BsDiscountStockBatchService
 * @author: HuRui
 * @date: 2024/3/19
 **/
public interface BsDiscountStockBatchService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsDiscountStockBatch data);

    /**
     * 增加库存
     * @param discountNo
     * @param stockCount
     */
    void addStock(String discountNo, Integer stockCount);

    /**
     * 查询详情
     * @param batchNo
     * @return
     */
    BsDiscountStockBatch getStockBatchDetail(String batchNo);

    /**
     * 查询库存批次列表
     * @param param
     * @return
     */
    List<BsDiscountStockBatch> getStockBatchList(Map<String,Object> param);


}
